Package: org.codehaus.groovy.grails.resolve.maven.aether.config

## [Groovy] Class GrailsAetherCoreDependencies

- org.codehaus.groovy.grails.resolve.maven.aether.config.GrailsAetherCoreDependencies

- Adapts Grails' dependencies to Aether dependencies

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsCoreDependencies` | `buildDependencies, compileDependencies, docDependencies, grailsVersion, groovyVersion, h2Version, java5compatible, jaxbVersion, junitVersion, log4jVersion, providedDependencies, runtimeDependencies, servletApiVersion, servletVersion, spockVersion, springVersion, testDependencies`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.eclipse.aether.util.graph.selector.ExclusionDependencySelector` | `exclusionDependencySelector`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAetherCoreDependencies (java.lang.String grailsVersion)`
    `GrailsAetherCoreDependencies (java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible = false, boolean isGrailsProject = true)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `groovy.lang.Closure` | `createDeclaration()` Returns a closure suitable for passing to a DependencyDefinitionParser that will configure the necessary core dependencies for Grails.
    `void` | `registerDependencies(DependenciesConfiguration configuration, java.lang.String scope, java.util.Collection<Dependency> dependencies)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsCoreDependencies` | `getBuildDependencies, getBuildDependencyPatterns, getCompileDependencies, getDocDependencies, getGrailsVersion, getGroovyVersion, getProvidedDependencies, getRuntimeDependencies, getServletVersion, getSpringVersion, getTestDependencies, isJava5compatible, setJava5compatible`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector

  - ### Constructor Detail

    - #### GrailsAetherCoreDependencies(java.lang.String grailsVersion)

    - #### GrailsAetherCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible = false, boolean isGrailsProject = true)

  - ### Method Detail

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) groovy.lang.Closure createDeclaration()

      Returns a closure suitable for passing to a DependencyDefinitionParser that will configure the necessary core dependencies for Grails. This method is used internally and should not be called in user code.

    - #### void registerDependencies(DependenciesConfiguration configuration, java.lang.String scope, java.util.Collection<Dependency> dependencies)